<?php

namespace Drupal\cookie_blocking_libraries;

use Drupal\Component\Plugin\PluginBase;
use Drupal\Core\StringTranslation\StringTranslationTrait;

/**
 * Base class for cookie_blocking_libraries_implementation plugins.
 */
abstract class CookieImplementationPluginBase extends PluginBase implements CookieImplementationInterface {

  use StringTranslationTrait;

  /**
   * {@inheritdoc}
   */
  public function label() {
    // Cast the label to a string since it is a TranslatableMarkup object.
    return (string) $this->pluginDefinition['label'];
  }

  /**
   * {@inheritDoc}
   */
  public function getCategories() : array {
    return [
      '-nothing-' => $this->t("Don't alter"),
    ];
  }

}
