<?php

namespace Drupal\cookie_blocking_libraries;

/**
 * Libraries Service service.
 */
interface LibrariesServiceInterface {

  /**
   * Clear the libraries cache.
   */
  public function flushLibraries() : void;

  /**
   * Get all libraries.
   *
   * @return array
   *   Returns an array of libraries.
   */
  public function getAllLibraries() : array;

  /**
   * Get any HTML page attachments.
   */
  public function getPageAttachments() : array;

  /**
   * Alter a library definition.
   *
   * @param array $libraries
   *   The library definitions from hook_library_info_alter().
   * @param string $extension
   *   The extension.
   */
  public function alterLibraries(array &$libraries, $extension): void;

  /**
   * Alter a script attachment.
   *
   * @param array $attachments
   *   The HTML attachments from hook_page_attachments_alter().
   */
  public function alterAttachments(array &$attachments): void;

}
