<?php

namespace Drupal\cookie_blocking_libraries\Plugin\CookieBlockingLibrariesImplementation;

use Drupal\cookie_blocking_libraries\CookieImplementationPluginBase;

/**
 * Plugin implementation of the cookie_blocking_libraries_implementation.
 *
 * @CookieBlockingLibrariesImplementation(
 *   id = "cookie_bot",
 *   label = @Translation("Cookie Bot"),
 *   description = @Translation("Cookie Bot.")
 * )
 */
class CookieBot extends CookieImplementationPluginBase {

  /**
   * {@inheritDoc}
   */
  public function getCategories() : array {
    return parent::getCategories() + [
      'preferences' => $this->t('Preferences'),
      'statistics' => $this->t('Statistics'),
      'marketing' => $this->t('Marketing'),
      'ignore' => $this->t('Ignore'),
    ];
  }

  /**
   * {@inheritDoc}
   */
  public function getDefaultCategory() : string {
    return 'ignore';
  }

  /**
   * {@inheritDoc}
   */
  public function alterLibrary(array &$library_js, $extension, $type) : void {
    $library_js['attributes']['data-cookieconsent'] = $type;
  }

  /**
   * {@inheritDoc}
   */
  public function alterAttachment(array &$html, $extension, $type) : void {
    $html['#attributes']['data-cookieconsent'] = $type;
  }

}
